<?php
/**
 * @file
 * API documentation for Paypal API
 */

/**
 * Called while creating a payment button.
 *
 * @param $transaction
 * The transaction object being used to create the button.
 */
function hook_paypal_api_button($transaction) {
  $transaction->amount = $new_amount;
}

/**
 * Called when an IPN message is received from Paypal
 *
 * @param $transaction
 * The transaction object this IPN message refers to
 * Note that if you change anything in the transaction object here, those changes will be stored to the database
 *
 * @param $paypal_data
 * The raw data from Paypal
 */
function hook_paypal_api_ipn($transaction, $paypal_data) {
  if ($paypal_data['payment_status'] == 'Completed') {
    // my business logic for a successful payment here

    $transaction->data['my_key'] = "my value";
  }
}
